/*
 *
 * Copyright 2000 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * This software is the proprietary information of Sun Microsystems, Inc.  
 * Use is subject to license terms.
 * 
 */

package ejb.dataAccess;


import java.util.*;
import javax.ejb.*;
import java.rmi.RemoteException;
import javax.sql.*;
import java.sql.*;
import sun.jdbc.rowset.*;


public interface Data extends EJBObject {

    public int insert(String sqlQuery,String dbName) throws RemoteException;
    public int insert(String sqlQuery,String dbName,Object o) throws RemoteException;
    public int update(String sqlQuery,String dbName) throws RemoteException;
    public int update(String sqlQuery,String dbName,Object o) throws RemoteException;
    public int delete(String sqlQuery,String dbName) throws RemoteException;
    public DataSet select(String selectStatement,String dbName) throws RemoteException;
    public void setTypeMap(String schema,String className) throws RemoteException;

} //public interface Data extends EJBObject
